### Method

# EDataBook BookMetaBackend requires_reconnect

since: 3.26

#### Declaration [src]

    gboolean
    e_book_meta_backend_requires_reconnect (
      EBookMetaBackend* meta_backend
    )

#### Description [src]

Determines, whether current source content requires reconnect of the backend.

It is optional to implement this virtual method by the descendant. The default implementation compares `E_SOURCE_EXTENSION_AUTHENTICATION` and `E_SOURCE_EXTENSION_WEBDAV_BACKEND`, if existing in the source, with the values after the last successful connect and returns `TRUE` when they changed. It always return `TRUE` when there was no successful connect done yet.

Available since: 3.26

#### Return value

Type: `gboolean`

`TRUE`, when reconnect is required, `FALSE` otherwise.